[arch-commits] Commit in cjs/repos (4 files)

Alexandre Filgueira faidoc at nymeria.archlinux.org
Sat Oct 5 02:40:55 UTC 2013


    Date: Saturday, October 5, 2013 @ 04:40:55
  Author: faidoc
Revision: 98060

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  cjs/repos/community-testing-i686/
  cjs/repos/community-testing-i686/PKGBUILD
    (from rev 98059, cjs/trunk/PKGBUILD)
  cjs/repos/community-testing-x86_64/
  cjs/repos/community-testing-x86_64/PKGBUILD
    (from rev 98059, cjs/trunk/PKGBUILD)

-----------------------------------+
 community-testing-i686/PKGBUILD   |   38 ++++++++++++++++++++++++++++++++++++
 community-testing-x86_64/PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

Copied: cjs/repos/community-testing-i686/PKGBUILD (from rev 98059, cjs/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2013-10-05 02:40:55 UTC (rev 98060)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=cjs
+pkgver=2.0.0
+pkgrel=1
+pkgdesc="Javascript Bindings for Cinnamon"
+arch=(i686 x86_64)
+url="https://github.com/linuxmint/cjs"
+license=(GPL)
+depends=(cairo gobject-introspection js185 dbus-glib)
+makedepends=(gnome-common)
+options=('!libtool')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/linuxmint/cjs/archive/${pkgver}.tar.gz")
+sha256sums=('2fea6c491e6ce8567201f14c0e926181154d798d4811dd65da477c014bfb2a9a')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Python2 fix
+  sed -i 's|#! /usr/bin/env python|#! /usr/bin/env python2|' \
+  		scripts/make-tests
+
+  ./autogen.sh --prefix=/usr --disable-static --libexecdir=/usr/lib
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}

Copied: cjs/repos/community-testing-x86_64/PKGBUILD (from rev 98059, cjs/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2013-10-05 02:40:55 UTC (rev 98060)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=cjs
+pkgver=2.0.0
+pkgrel=1
+pkgdesc="Javascript Bindings for Cinnamon"
+arch=(i686 x86_64)
+url="https://github.com/linuxmint/cjs"
+license=(GPL)
+depends=(cairo gobject-introspection js185 dbus-glib)
+makedepends=(gnome-common)
+options=('!libtool')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/linuxmint/cjs/archive/${pkgver}.tar.gz")
+sha256sums=('2fea6c491e6ce8567201f14c0e926181154d798d4811dd65da477c014bfb2a9a')
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Python2 fix
+  sed -i 's|#! /usr/bin/env python|#! /usr/bin/env python2|' \
+  		scripts/make-tests
+
+  ./autogen.sh --prefix=/usr --disable-static --libexecdir=/usr/lib
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}




More information about the arch-commits mailing list